#!/bin/sh

if [ "`ls $HOME/.icewm/preferences`" ]; then
cp $HOME/.icewm/preferences $HOME/.icewm/preferences-bak
fi

if [ "`ls $HOME/.jwmrc-tray`" ]; then
cp $HOME/.jwmrc-tray $HOME/.jwmrc-tray-bak
fi

if [ "`ls $HOME/.config/fbpanel/default`" ]; then
cp $HOME/.config/fbpanel/default $HOME/.config/fbpanel/default-bak
fi

if [ "`ls /usr/sbin/pfbpanel`" ]; then
cp /usr/sbin/pfbpanel /usr/sbin/pfbpanel-bak
fi


[ "`cat $HOME/.icewm/preferences | grep PupClockset`" = "" ] && cat $HOME/.icewm/preferences | sed 's/^.*ClockCommand=.*$/ClockCommand="PupClockset"/' > tmpfile && mv -f tmpfile $HOME/.icewm/preferences
[ "`pidof icewm`" ] && killall -HUP icewm

[ "`cat $HOME/.jwmrc-tray | grep PupClockset`" = "" ] && cat $HOME/.jwmrc-tray | sed 's/^.*Clock.*$/			<Clock format="%l:%M %p">PupClockset<\/Clock>/' > tmpfile && mv -f tmpfile $HOME/.jwmrc-tray
[ "`pidof jwm`" ] && jwm -restart

[ "`cat $HOME/.config/fbpanel/default | grep dclock`" != "" ] && sed 's/dclock/tclock/' $HOME/.config/fbpanel/default > /tmp/tmpfile ; mv -f /tmp/tmpfile $HOME/.config/fbpanel/default
[ "`cat /usr/sbin/pfbpanel | grep dclock`" != "" ] && sed 's/dclock/tclock/' /usr/sbin/pfbpanel > /tmp/tmpfile ; chmod 755 /tmp/tmpfile ; mv -f /tmp/tmpfile /usr/sbin/pfbpanel
[ "`cat /usr/sbin/pfbpanel | grep PupClockset`" = "" ] && sed '/if/s/^.*grep CLOCK12.*$/ if [ -f \/usr\/local\/PupClockset\/PupClockset ]; then\n  echo "`cat \/usr\/local\/PupClockset\/fbpanelClockFmt`" >> $DEFAULT\n  elif [ "`cat $CONFIG | grep CLOCK12 | cut -f 2 -d '='`" = true ]; then/' /usr/sbin/pfbpanel > /tmp/tmpfile ; chmod 755 /tmp/tmpfile ; mv -f /tmp/tmpfile /usr/sbin/pfbpanel
[ "`cat /usr/sbin/pfbpanel | grep "Action = PupClockset"`" = "" ] && sed '/Action =/s/^.*grep CLOCKPROG.*$/ if [ -f \/usr\/local\/PupClockset\/PupClockset ]; then\n  echo "Action = PupClockset \&" >> $DEFAULT\n  else\n  echo Action = `cat $CONFIG | grep CLOCKPROG | cut -f 2 -d '='` \& >> $DEFAULT\n  fi/' /usr/sbin/pfbpanel > /tmp/tmpfile ; chmod 755 /tmp/tmpfile ; mv -f /tmp/tmpfile /usr/sbin/pfbpanel
[ "`pidof fbpanel`" ] && /usr/sbin/pfbpanel refresh