#!/bin/sh

# delete PupShutdown key binding (Ctrl+Shift+X) in $HOME/.icewm/keys
if [ "`ls $HOME/.icewm/keys`" ]; then sed '/key "Ctrl+Shift+x"		PupShutdown/d' $HOME/.icewm/keys > tmpfile ; mv -f tmpfile $HOME/.icewm/keys
	fi

# delete PupShutdown key binding (Ctrl+Shift+X) in $HOME/.config/openbox/lxde-rc.xml
if [ "`ls $HOME/.config/openbox/lxde-rc.xml`" ]; then sed '/    <keybind key=\"C-S-x\">/,/    <\/keybind>/ d' $HOME/.config/openbox/lxde-rc.xml > tmpfile ; mv -f tmpfile $HOME/.config/openbox/lxde-rc.xml
	fi

# delete PupShutdown key binding (Ctrl+Shift+X) in $HOME/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
if [ "`ls $HOME/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml`" ]; then
sed '/      <property name=\"&lt;Shift&gt;&lt;Control&gt;x\" type=\"string\" value=\"PupShutdown\"\/>/d' $HOME/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml > tmpfile ; mv -f tmpfile $HOME/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
	fi

# delete PupShutdown key binding (Ctrl+Shift+X) in $HOME/.jwm/jwmrc-personal
if [ "`ls $HOME/.jwm/jwmrc-personal`" ]; then sed '/<Key mask="CS" key="x">exec:PupShutdown<\/Key>/d' $HOME/.jwm/jwmrc-personal > tmpfile ; mv -f tmpfile $HOME/.jwm/jwmrc-personal
	fi

# remove PupShutdown configuration files
rm -f -r $HOME/.PupShutdown/

# invoke Puppy Package Manager to remove PupShutdown
exec /usr/local/petget/pkg_chooser.sh
